summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <mvath@google.com>2019-08-04 16:28:46 +0200
committerMartin Väth <mvath@google.com>2019-08-04 16:28:46 +0200
commitcdab6ab70c8df4b7f74f2da64215874a9d9934d5 (patch)
tree549dcf848aecceedd917e0d52b35120cacd5f17e
parentsys-fs/squashfs-tools: Version bump (diff)
downloadmv-cdab6ab70c8df4b7f74f2da64215874a9d9934d5.tar.gz
mv-cdab6ab70c8df4b7f74f2da64215874a9d9934d5.tar.bz2
mv-cdab6ab70c8df4b7f74f2da64215874a9d9934d5.zip
Support USE=-split-usr
Signed-off-by: Martin Väth <mvath@google.com>
-rw-r--r--app-shells/push/push-3.1-r4.ebuild (renamed from app-shells/push/push-3.1-r3.ebuild)12
-rw-r--r--app-shells/schily-tools/Manifest2
-rw-r--r--app-shells/schily-tools/schily-tools-2019.07.22.ebuild (renamed from app-shells/schily-tools/schily-tools-2019.06.13.ebuild)13
-rw-r--r--media-tv/sundtek-tv/Manifest2
-rw-r--r--media-tv/sundtek-tv/sundtek-tv-190731.173415.ebuild (renamed from media-tv/sundtek-tv/sundtek-tv-190616.160201.ebuild)13
-rw-r--r--metadata/pkg_desc_index12
-rw-r--r--net-firewall/firewall-mv/firewall-mv-13.1-r1.ebuild (renamed from net-firewall/firewall-mv/firewall-mv-13.1.ebuild)14
-rw-r--r--sys-apps/openrc-wrapper/openrc-wrapper-2.3-r2.ebuild (renamed from sys-apps/openrc-wrapper/openrc-wrapper-2.3-r1.ebuild)16
-rw-r--r--sys-block/zram-init/zram-init-7.1-r3.ebuild (renamed from sys-block/zram-init/zram-init-8.1.ebuild)12
-rw-r--r--sys-block/zram-init/zram-init-8.1-r1.ebuild (renamed from sys-block/zram-init/zram-init-7.1-r2.ebuild)12
10 files changed, 75 insertions, 33 deletions
diff --git a/app-shells/push/push-3.1-r3.ebuild b/app-shells/push/push-3.1-r4.ebuild
index 5be4e7b4..865ec04c 100644
--- a/app-shells/push/push-3.1-r3.ebuild
+++ b/app-shells/push/push-3.1-r4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2012-2018 Martin V\"ath
+# Copyright 2012-2019 Martin V\"ath
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -11,15 +11,19 @@ LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE=""
+IUSE="split-usr"
# Install into / to let sys-block/zram-init work with split /usr
src_compile() {
- emake PREFIX= EPREFIX="${EPREFIX}" DATADIR=/lib/push
+ emake PREFIX= EPREFIX="${EPREFIX}" BINDIR=$(get_usr)/bin DATADIR=$(get_usr)/lib/push
}
src_install() {
dodoc README.md
- emake DESTDIR="${ED}" PREFIX= EPREFIX="${EPREFIX}" DATADIR=/lib/push install
+ emake DESTDIR="${ED}" PREFIX= EPREFIX="${EPREFIX}" BINDIR=$(get_usr)/bin DATADIR=$(get_usr)/lib/push install
+}
+
+get_usr() {
+ use split-usr || echo /usr
}
diff --git a/app-shells/schily-tools/Manifest b/app-shells/schily-tools/Manifest
index d696be2b..807b47af 100644
--- a/app-shells/schily-tools/Manifest
+++ b/app-shells/schily-tools/Manifest
@@ -1 +1 @@
-DIST schily-2019-06-13.tar.bz2 4326815 SHA512 db448c24d455e6c2e302f5ca2fa46bbb9d74cc094e2cf97ebce7d06de3673c6e7a11fd3ea98d414a694e859bbd988f62f9090a5e8a4b01982ef50698b322d4e3
+DIST schily-2019-07-22.tar.bz2 4343597 SHA512 632a61abc47d13ab6331db382cd79b0cc6dafee9d8238dc4d1e3815f0cbad57823c0f9e4418f3246621521acd8cd2a3d2cf5937fe72e074d94d94559b22fcacf
diff --git a/app-shells/schily-tools/schily-tools-2019.06.13.ebuild b/app-shells/schily-tools/schily-tools-2019.07.22.ebuild
index abbd2695..18c751fe 100644
--- a/app-shells/schily-tools/schily-tools-2019.06.13.ebuild
+++ b/app-shells/schily-tools/schily-tools-2019.07.22.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://sourceforge/schilytools/${MY_P}.tar.bz2"
DESCRIPTION="Many tools from Joerg Schilling, including a POSIX compliant Bourne Shell"
HOMEPAGE="https://sourceforge.net/projects/schilytools/"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
-IUSE="acl caps doc nls suid unicode xattr"
+IUSE="acl caps doc nls split-usr suid unicode xattr"
REQUIRED_USE_WARN="amd64-fbsd? ( !xattr )"
PATCHES=("${FILESDIR}"/strlcat-mapvers.patch)
@@ -216,6 +216,9 @@ src_prepare() {
libcdrdeflt libedc libfile libhfs_iso libparanoia \
librscg libscgcmd libsiconv 'libsiconv!@!tables'
fi
+ if ! use acl; then
+ sed -i -e 's/^CPPOPTS.*DUSE_ACL/#&/' -- star/Makefile || die
+ fi
# nonexistent:
# ! use schilytools_cmd || targets cmd
! use schilytools_compare || targets compare
@@ -483,6 +486,14 @@ src_install() {
if use renameschily_getopt && have_target libgetopt; then
mv -v -- "${ED}"/usr/share/man/man3/{,schily-}getopt.3 || die
fi
+ use split-usr || move_to_usr_bin "${ED}"/bin/*
+}
+
+move_to_usr_bin() {
+ test -r "$1" || return 0
+ test -d "${ED}"/usr/bin || mkdir -p -- "${ED}"/usr/bin || die
+ mv -v -- "$@" "${ED}"/usr/bin || die
+ rmdir "${ED}"/bin || die
}
pkg_postinst() {
diff --git a/media-tv/sundtek-tv/Manifest b/media-tv/sundtek-tv/Manifest
index 523ab4c9..05f5bc81 100644
--- a/media-tv/sundtek-tv/Manifest
+++ b/media-tv/sundtek-tv/Manifest
@@ -1 +1 @@
-DIST sundtek_installer_190616.160201.sh 39516045 SHA512 e2a353716e2e8b4c268eb24ab7278360457d51a59cee78c4f2ae4f3fe5b4ef232aacdf7328d1f4e82b131c09b88f071fd1beccbc8c2c6b3b93c2e5335056eed8
+DIST sundtek_installer_190731.173415.sh 39615596 SHA512 eee68c88defa1477e115adb940307d3f67fdb8bad2fa520543afd0f15e4ac2fa902f008329e9186c1e89bb8024f037c40032056f5be45fc8d312616d5a2d9959
diff --git a/media-tv/sundtek-tv/sundtek-tv-190616.160201.ebuild b/media-tv/sundtek-tv/sundtek-tv-190731.173415.ebuild
index 86124da4..1c20efcf 100644
--- a/media-tv/sundtek-tv/sundtek-tv-190616.160201.ebuild
+++ b/media-tv/sundtek-tv/sundtek-tv-190731.173415.ebuild
@@ -16,7 +16,7 @@ RESTRICT="binchecks mirror strip"
LICENSE="sundtek"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="ld-preload-env +ld-preload-file pax_kernel pulseaudio"
+IUSE="ld-preload-env +ld-preload-file pax_kernel pulseaudio split-usr"
RDEPEND="!<sys-apps/openrc-0.13
pulseaudio? ( media-sound/pulseaudio )"
BDEPEND="pax_kernel? ( || ( sys-apps/elfix sys-apps/paxctl ) )"
@@ -76,7 +76,12 @@ src_prepare() {
mybinprefix="opt"
mypkgconfig="usr/share/pkgconfig"
myinclsundtek="${myinclude}/sundtek"
- myudev="lib/udev"
+ if use split-usr
+ then myudev="lib/udev"
+ myrootlib="lib"
+ else myudev="usr/lib/udev"
+ myrootlib="usr/lib"
+ fi
mylirc="etc/lirc"
umask 022
if use pax_kernel
@@ -84,8 +89,8 @@ src_prepare() {
pax-mark e opt/bin/mediaclient
fi
mv opt 1 || die
- mkdir -p ${myusr} "${mybinprefix}" lib "${mypkgconfig}" "${mylirc}" \
- 1/lib/pm-utils || die
+ mkdir -p ${myusr} "${mybinprefix}" "${myrootlib}" "${mypkgconfig}" \
+ "${mylirc}" 1/lib/pm-utils || die
use pulseaudio || rm 1/bin/audio/libpulse.so || die
mv 1/bin "${mybinprefix}" || die
${keep_original} || mv 1/lib/pm 1/lib/pm-utils/sleep.d || die
diff --git a/metadata/pkg_desc_index b/metadata/pkg_desc_index
index 20500444..3e113549 100644
--- a/metadata/pkg_desc_index
+++ b/metadata/pkg_desc_index
@@ -36,10 +36,10 @@ app-shells/auto-fu-zsh 0.0.1.12-r4 0.0.1.12_p0 99999999: zsh automatic complete-
app-shells/dash 99999999: Descendant of the NetBSD ash. POSIX compliant except for multibyte characters
app-shells/fast-syntax-highlighting 1.5.2 99999999: Optimized and extended zsh-syntax-highlighting
app-shells/oh-my-zsh 99999999: A ready-to-use zsh configuration with plugins
-app-shells/push 3.1-r3: A POSIX shell function to treat a variable like an array, quoting args
+app-shells/push 3.1-r4: A POSIX shell function to treat a variable like an array, quoting args
app-shells/quoter 4.1-r1: Quote arguments or standard input for usage in POSIX shell by eval
app-shells/runtitle 2.10: Scripts to run commands and set the hard status line (windows title)
-app-shells/schily-tools 2019.06.13: Many tools from Joerg Schilling, including a POSIX compliant Bourne Shell
+app-shells/schily-tools 2019.07.22: Many tools from Joerg Schilling, including a POSIX compliant Bourne Shell
app-shells/set_prompt 3.1: An intelligent prompt for zsh or bash with status line (window title) support
app-shells/termcolors-mv 4.7-r1: 256colors sample script and dircolors configuration for standard or 256 colors
app-shells/zsh-autosuggestions 0.6.3 99999999: Fish-like autosuggestions for zsh
@@ -78,7 +78,7 @@ media-gfx/pqiv 2.11: powerful GTK based command-line image viewer with a minimal
media-libs/avidemux-core 2.7.3: Core libraries for simple video cutting, filtering and encoding tasks
media-libs/avidemux-plugins 2.7.3: Plugins for the video editor media-video/avidemux
media-tv/nvtv 0.4.7-r3: TV-Out for NVidia cards
-media-tv/sundtek-tv 190616.160201: Sundtek MediaTV Pro III Drivers
+media-tv/sundtek-tv 190731.173415: Sundtek MediaTV Pro III Drivers
media-tv/w_scan 20170107-r1: Scan for DVB-C/DVB-T/DVB-S channels without prior knowledge of frequencies
media-video/avidemux 2.7.3: Video editor designed for simple cutting, filtering and encoding tasks
media-video/avinfo 1.0_alpha15_p1: Utility for displaying AVI information
@@ -87,7 +87,7 @@ net-dialup/accounting 1.60.45.3.1-r1: Give statistics about dialup connections.
net-dialup/martian-modem 20100123-r3: ltmodem alternative driver providing support for Agere Systems winmodems
net-dns/host 20070128-r1: A powerful command-line DNS query and test tool
net-dns/noip-updater 2.1.9-r5: no-ip.com dynamic DNS updater
-net-firewall/firewall-mv 13.1: Initialize iptables and net-related sysctl variables
+net-firewall/firewall-mv 13.1-r1: Initialize iptables and net-related sysctl variables
net-libs/wvstreams 4.6.2_alpha20181025: A network programming library in C++
net-misc/netctl 1.11: Profile based network connection tool from Arch Linux
net-misc/openrdate 1.2: use TCP or UDP to retrieve the current time of another machine
@@ -98,12 +98,12 @@ sci-mathematics/genius 1.0.21: Genius Mathematics Tool and the GEL Language
sci-mathematics/reduce 20141130-r2: A general-purpose computer algebra system
sys-apps/cpi 3.1: A wrapper for cp -i -a, making use of diff
sys-apps/less 551: Excellent text file viewer, optionally with additional selection feature
-sys-apps/openrc-wrapper 2.3-r1: Use openrc init scripts with systemd or other init systems
+sys-apps/openrc-wrapper 2.3-r2: Use openrc init scripts with systemd or other init systems
sys-apps/paxopen 1.2: A wrapper script to set PAX kernel variables to an insecure/safe state
sys-apps/schedule 8.0-r1: script to schedule jobs in a multiuser multitasking environment
sys-apps/starter 3.0: POSIX shell script and function to schedule commands
sys-block/parted 2.4-r3: Create, destroy, resize, check, copy partitions and file systems
-sys-block/zram-init 7.1-r2 8.1: Scripts to support compressed swap devices or ramdisks with zram
+sys-block/zram-init 7.1-r3 8.1-r1: Scripts to support compressed swap devices or ramdisks with zram
sys-boot/grub-cfg-mv 1.7: A grub.cfg library/example for GRUB2
sys-fs/emount 3.0.4: mount/unmount create/remove dm-crypt filesystems according to your /etc/fstab
sys-fs/squash_dir 13.14-r1: Keep directories compressed with squashfs. Useful for portage tree, texmf-dist
diff --git a/net-firewall/firewall-mv/firewall-mv-13.1.ebuild b/net-firewall/firewall-mv/firewall-mv-13.1-r1.ebuild
index 762216ab..a050cf03 100644
--- a/net-firewall/firewall-mv/firewall-mv-13.1.ebuild
+++ b/net-firewall/firewall-mv/firewall-mv-13.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2012-2018 Martin V\"ath
+# Copyright 2012-2019 Martin V\"ath
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/vaeth/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE=""
+IUSE="split-usr"
RDEPEND=">=app-shells/push-2.0-r2"
DEPEND=""
@@ -23,17 +23,21 @@ src_prepare() {
-e "s!/usr/!${EPREFIX}/usr/!g" \
-- sbin/* etc/* systemd/* || die
else sed -i \
- -e '1s"^#!/usr/bin/env sh$"#!'"${EPREFIX}/bin/sh"'"' \
+ -e '1s"^#!/usr/bin/env sh$"#!'"${EPREFIX}$(get_usr)/bin/sh"'"' \
-- sbin/* || die
fi
default
}
src_compile() {
- emake "SYSTEMUNITDIR=$(systemd_get_systemunitdir)"
+ emake "SYSTEMUNITDIR=$(systemd_get_systemunitdir)" BINDIR="$(get_usr)/sbin" LIBDIR="$(get_usr)/lib/firewall"
}
src_install() {
dodoc README.md
- emake DESTDIR="${ED}" "SYSTEMUNITDIR=$(systemd_get_systemunitdir)" install
+ emake DESTDIR="${ED}" "SYSTEMUNITDIR=$(systemd_get_systemunitdir)" BINDIR="$(get_usr)/sbin" LIBDIR="$(get_usr)/lib/firewall" install
+}
+
+get_usr() {
+ use split-usr || echo /usr
}
diff --git a/sys-apps/openrc-wrapper/openrc-wrapper-2.3-r1.ebuild b/sys-apps/openrc-wrapper/openrc-wrapper-2.3-r2.ebuild
index f655c933..a890db53 100644
--- a/sys-apps/openrc-wrapper/openrc-wrapper-2.3-r1.ebuild
+++ b/sys-apps/openrc-wrapper/openrc-wrapper-2.3-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2013-2018 Martin V\"ath
+# Copyright 2013-2019 Martin V\"ath
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/vaeth/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
-IUSE=""
+IUSE="split-usr"
DEPEND="!!<sys-fs/squash_dir-3.2"
# the last dependency is not really needed, but without it the output is ugly,
@@ -20,11 +20,21 @@ DEPEND="!!<sys-fs/squash_dir-3.2"
RDEPEND="${DEPEND}
|| ( sys-apps/gentoo-functions sys-apps/openrc )"
+src_prepare() {
+ sed -i -e "s'ExecStart=/bin'ExecStart=$(get_usr)/bin'" \
+ "${S}"/systemd/system/*.service
+ default
+}
+
src_install() {
dodoc README.md
systemd_dounit systemd/system/*
insinto /usr/share/zsh/site-functions
doins zsh/*
- into /
+ into $(get_usr)/
dobin bin/*
}
+
+get_usr() {
+ use split-usr || echo /usr
+}
diff --git a/sys-block/zram-init/zram-init-8.1.ebuild b/sys-block/zram-init/zram-init-7.1-r3.ebuild
index 5350b69f..add5bc97 100644
--- a/sys-block/zram-init/zram-init-8.1.ebuild
+++ b/sys-block/zram-init/zram-init-7.1-r3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2011-2018 Martin V\"ath
+# Copyright 2011-2019 Martin V\"ath
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/vaeth/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~x86"
-IUSE=""
+IUSE="split-usr"
RDEPEND=">=app-shells/push-2.0-r2
!<sys-apps/openrc-0.13"
@@ -24,7 +24,7 @@ You might need to modify /etc/modprobe.d/zram.conf"
src_prepare() {
use prefix || sed -i \
- -e '1s"^#!/usr/bin/env sh$"#!'"${EPREFIX}/bin/sh"'"' \
+ -e '1s"^#!/usr/bin/env sh$"#!'"${EPREFIX}$(split_usr)/bin/sh"'"' \
-- sbin/* || die
default
}
@@ -39,10 +39,14 @@ src_install() {
doins zsh/*
dodoc AUTHORS ChangeLog README.md
readme.gentoo_create_doc
- into /
+ into $(get_usr)/
dosbin sbin/*
}
pkg_postinst() {
readme.gentoo_print_elog
}
+
+get_usr() {
+ use split-usr || echo /usr
+}
diff --git a/sys-block/zram-init/zram-init-7.1-r2.ebuild b/sys-block/zram-init/zram-init-8.1-r1.ebuild
index 5350b69f..add5bc97 100644
--- a/sys-block/zram-init/zram-init-7.1-r2.ebuild
+++ b/sys-block/zram-init/zram-init-8.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2011-2018 Martin V\"ath
+# Copyright 2011-2019 Martin V\"ath
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/vaeth/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~x86"
-IUSE=""
+IUSE="split-usr"
RDEPEND=">=app-shells/push-2.0-r2
!<sys-apps/openrc-0.13"
@@ -24,7 +24,7 @@ You might need to modify /etc/modprobe.d/zram.conf"
src_prepare() {
use prefix || sed -i \
- -e '1s"^#!/usr/bin/env sh$"#!'"${EPREFIX}/bin/sh"'"' \
+ -e '1s"^#!/usr/bin/env sh$"#!'"${EPREFIX}$(split_usr)/bin/sh"'"' \
-- sbin/* || die
default
}
@@ -39,10 +39,14 @@ src_install() {
doins zsh/*
dodoc AUTHORS ChangeLog README.md
readme.gentoo_create_doc
- into /
+ into $(get_usr)/
dosbin sbin/*
}
pkg_postinst() {
readme.gentoo_print_elog
}
+
+get_usr() {
+ use split-usr || echo /usr
+}